wsapi.cgi(1)

NAME
wsapi.cgi - cgi wrapper for wsapi based dynamic pages

SYNOPSIS
#!/usr/bin/env wsapi.cgi

DESCRIPTION
A sample dynamic page follows:

    #!/usr/bin/env wsapi.cgi
    module(..., package.seeall)
    function run(wsapi_env)
      local headers = { ["Content-type"] = "text/html" }
      local function hello_text()
        coroutine.yield("<html><body>")
        coroutine.yield("<p>Hello Wsapi!</p>")
        coroutine.yield("<p>PATH_INFO: " .. wsapi_env.PATH_INFO .. "</p>")
        coroutine.yield("<p>SCRIPT_NAME: " .. wsapi_env.SCRIPT_NAME .. "</p>")
        coroutine.yield("</body></html>")
      end
      return 200, headers, coroutine.wrap(hello_text)
    end

SEE ALSO
wsapi.fcgi(1)

AUTHOR
Enrico Tassi <gareuselesinge@debian.org>